modules_load: add crc32c

commit 7308d72c3280da22cd94337b0eb248cdc53cb842 upstream.

Bug: https://bugs.gentoo.org/655110

--- a/arch/alpha/modules_load
+++ b/arch/alpha/modules_load
@@ -27,3 +27,5 @@ MODULES_USB="ehci-pci ehci-hcd uhci usb-ohci hid usb-storage uhci-hcd ohci-hcd x
 # Filesystems
 MODULES_FS="ext2 ext3 ext4 btrfs reiserfs jfs nfs xfs zfs fuse"
 
+# Crypto
+MODULES_CRYPTO="sha256_generic cbc crc32c aes_generic xts"
--- a/arch/arm/modules_load
+++ b/arch/arm/modules_load
@@ -27,3 +27,5 @@ MODULES_USB="ehci-pci ehci-hcd uhci usb-ohci hid usb-storage uhci-hcd ohci-hcd x
 # Filesystems
 MODULES_FS="ext2 ext3 ext4 btrfs reiserfs jfs nfs xfs zfs fuse"
 
+# Crypto
+MODULES_CRYPTO="sha256_generic cbc crc32c aes_generic xts"
--- a/arch/ia64/modules_load
+++ b/arch/ia64/modules_load
@@ -26,3 +26,6 @@ MODULES_USB="ehci-pci ehci-hcd uhci usb-ohci hid usb-storage uhci-hcd ohci-hcd x
 
 # Filesystems
 MODULES_FS="ext2 ext3 ext4 btrfs reiserfs jfs nfs xfs zfs fuse"
+
+# Crypto
+MODULES_CRYPTO="sha256_generic cbc crc32c aes_generic xts"
--- a/arch/mips/modules_load
+++ b/arch/mips/modules_load
@@ -27,3 +27,5 @@ MODULES_USB="ehci-pci ehci-hcd uhci usb-ohci hid usb-storage uhci-hcd ohci-hcd x
 # Filesystems
 MODULES_FS="ext2 ext3 ext4 btrfs reiserfs jfs nfs xfs zfs fuse"
 
+# Crypto
+MODULES_CRYPTO="sha256_generic cbc crc32c aes_generic xts"
--- a/arch/parisc/modules_load
+++ b/arch/parisc/modules_load
@@ -27,3 +27,5 @@ MODULES_USB="ehci-pci ehci-hcd uhci usb-ohci hid usb-storage uhci-hcd ohci-hcd x
 # Filesystems
 MODULES_FS="ext2 ext3 ext4 btrfs reiserfs jfs nfs xfs zfs fuse"
 
+# Crypto
+MODULES_CRYPTO="sha256_generic cbc crc32c aes_generic xts"
--- a/arch/parisc64/modules_load
+++ b/arch/parisc64/modules_load
@@ -26,3 +26,6 @@ MODULES_USB="ehci-pci ehci-hcd uhci usb-ohci hid usb-storage uhci-hcd ohci-hcd x
 
 # Filesystems
 MODULES_FS="ext2 ext3 ext4 btrfs reiserfs jfs nfs xfs zfs fuse"
+
+# Crypto
+MODULES_CRYPTO="sha256_generic cbc crc32c aes_generic xts"
--- a/arch/ppc/modules_load
+++ b/arch/ppc/modules_load
@@ -27,3 +27,5 @@ MODULES_USB="ehci-pci ehci-hcd uhci usb-ohci hid usb-storage uhci-hcd ohci-hcd x
 # Filesystems
 MODULES_FS="ext2 ext3 ext4 btrfs reiserfs jfs nfs xfs zfs fuse"
 
+# Crypto
+MODULES_CRYPTO="sha256_generic cbc crc32c aes_generic xts"
--- a/arch/ppc64/modules_load
+++ b/arch/ppc64/modules_load
@@ -26,3 +26,6 @@ MODULES_USB="ehci-pci ehci-hcd uhci usb-ohci hid usb-storage uhci-hcd ohci-hcd x
 
 # Filesystems
 MODULES_FS="ext2 ext3 ext4 btrfs reiserfs jfs nfs xfs zfs fuse"
+
+# Crypto
+MODULES_CRYPTO="sha256_generic cbc crc32c aes_generic xts"
--- a/arch/s390/modules_load
+++ b/arch/s390/modules_load
@@ -27,3 +27,5 @@ MODULES_USB="ehci-pci ehci-hcd uhci usb-ohci hid usb-storage uhci-hcd ohci-hcd x
 # Filesystems
 MODULES_FS="ext2 ext3 ext4 btrfs reiserfs jfs nfs xfs zfs fuse"
 
+# Crypto
+MODULES_CRYPTO="sha256_generic cbc crc32c aes_generic xts"
--- a/arch/sparc/modules_load
+++ b/arch/sparc/modules_load
@@ -27,3 +27,5 @@ MODULES_USB="ehci-pci ehci-hcd uhci usb-ohci hid usb-storage uhci-hcd ohci-hcd x
 # Filesystems
 MODULES_FS="ext2 ext3 ext4 btrfs reiserfs jfs nfs xfs zfs fuse"
 
+# Crypto
+MODULES_CRYPTO="sha256_generic cbc crc32c aes_generic xts"
--- a/arch/sparc64/modules_load
+++ b/arch/sparc64/modules_load
@@ -26,3 +26,6 @@ MODULES_USB="ehci-pci ehci-hcd uhci usb-ohci hid usb-storage uhci-hcd ohci-hcd x
 
 # Filesystems
 MODULES_FS="ext2 ext3 ext4 btrfs reiserfs jfs nfs xfs zfs fuse"
+
+# Crypto
+MODULES_CRYPTO="sha256_generic cbc crc32c aes_generic xts"
--- a/arch/um/modules_load
+++ b/arch/um/modules_load
@@ -27,3 +27,5 @@ MODULES_USB="ehci-pci ehci-hcd uhci usb-ohci hid usb-storage uhci-hcd ohci-hcd x
 # Filesystems
 MODULES_FS="ext2 ext3 ext4 btrfs reiserfs jfs nfs xfs zfs fuse"
 
+# Crypto
+MODULES_CRYPTO="sha256_generic cbc crc32c aes_generic xts"
--- a/arch/x86/modules_load
+++ b/arch/x86/modules_load
@@ -29,4 +29,4 @@ MODULES_USB="ehci-pci ehci-hcd uhci usb-ohci hid usb-storage uhci-hcd ohci-hcd x
 MODULES_FS="ext2 ext3 ext4 btrfs reiserfs jfs nfs xfs zfs fuse"
 
 # Crypto
-MODULES_CRYPTO="sha256_generic cbc aes_generic aes_586 aesni-intel xts"
+MODULES_CRYPTO="sha256_generic cbc crc32c aes_generic aes_586 aesni-intel xts"
--- a/arch/x86_64/modules_load
+++ b/arch/x86_64/modules_load
@@ -28,4 +28,4 @@ MODULES_USB="ehci-pci ehci-hcd uhci usb-ohci hid usb-storage uhci-hcd ohci-hcd x
 MODULES_FS="ext2 ext3 ext4 btrfs reiserfs jfs nfs xfs zfs fuse"
 
 # Crypto
-MODULES_CRYPTO="sha256_generic cbc aes_generic aes-x86_64 aesni-intel xts"
+MODULES_CRYPTO="sha256_generic cbc crc32c aes_generic aes-x86_64 aesni-intel xts"
--- a/defaults/modules_load
+++ b/defaults/modules_load
@@ -28,4 +28,4 @@ MODULES_USB="ehci-hcd uhci usb-ohci hid usb-storage uhci-hcd ohci-hcd xhci-hcd x
 MODULES_FS="ext2 ext3 ext4 btrfs reiserfs jfs nfs xfs zfs fuse"
 
 # Crypto
-MODULES_CRYPTO="sha256_generic cbc aes_generic xts"
+MODULES_CRYPTO="sha256_generic cbc crc32c aes_generic xts"
